Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024563
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-08-22 13:142013-09-18 17:46
ReporterjecharriView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revisioneb0b4b796864
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024563: Problems with rounding in web POS

DescriptionProblems with rounding in web POS
Steps To ReproduceConfigure the currency that you are using in Web POS with:
-Standard precision = 2
-Cost precision = 4
-price precision = 4

Go to web POS and create a ticket, add 2 lines exempt of taxes:
-qty = 1.14 and price = 8.75
-qty = 1.49 and price = 4.50

You will see that ticket total is 16.68 instead of 16.69

The problem is that you are watching 2 decimals in Web POS (due to a Format XML) but internally web POS works with 4.
Proposed SolutionWe should create a new generic precision for retail. In this way we are going to be able to work with different precision in the ERP and Web POS
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024601 newRetail Still we continue having problems with rounding in web POS 
related to design defect 0024602 newRetail With 2 precisions we should manage the price list creation 
related to defect 0024603RMP27 closedadrianromero Rounding in Web POS quantity 
related to design defect 0024604 newRetail It is neccesary to add 2 new entries in file "Format.xml" 
blocks defect 0031828 closedranjith_qualiantech_com Payment not complete and Payment plan's Outstanding amount >0 in certain cash up sales invoice 
blocks defect 0032249RR16Q2 closedmarvintm It is necessary to improve documentation and name of "POS Precision" in order to avoid misunderstanding 

-  Notes
(0060838)
hgbot (developer)
2013-08-30 13:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eb0b4b7968640ea27e349a6e93624d179e124be6
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Aug 30 08:52:06 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb0b4b7968640ea27e349a6e93624d179e124be6 [^]

Fixes issue 0024563: Problems with rounding in web POS. A new precision has been added for Web POS in the Currency table

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/main.js
A src-db/database/model/modifiedTables/C_CURRENCY.xml
---
(0060998)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: eb0b4b7968640ea27e349a6e93624d179e124be6
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Aug 30 08:52:06 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/eb0b4b7968640ea27e349a6e93624d179e124be6 [^]

Fixes issue 0024563: Problems with rounding in web POS. A new precision has been added for Web POS in the Currency table

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/main.js
A src-db/database/model/modifiedTables/C_CURRENCY.xml
---

- Issue History
Date Modified Username Field Change
2013-08-22 13:14 jecharri New Issue
2013-08-22 13:14 jecharri Assigned To => adrianromero
2013-08-22 13:14 jecharri Triggers an Emergency Pack => No
2013-08-28 08:18 jecharri Proposed Solution updated
2013-08-28 08:22 jecharri Relationship added related to 0024601
2013-08-28 08:30 jecharri Relationship added related to 0024602
2013-08-28 08:34 jecharri Relationship added related to 0024603
2013-08-28 08:39 jecharri Relationship added related to 0024604
2013-08-30 13:22 hgbot Checkin
2013-08-30 13:22 hgbot Note Added: 0060838
2013-08-30 13:22 hgbot Status new => resolved
2013-08-30 13:22 hgbot Resolution open => fixed
2013-08-30 13:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb0b4b7968640ea27e349a6e93624d179e124be6 [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060998
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb0b4b7968640ea27e349a6e93624d179e124be6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/eb0b4b7968640ea27e349a6e93624d179e124be6 [^]
2013-09-18 17:46 marvintm Review Assigned To => marvintm
2013-09-18 17:46 marvintm Status resolved => closed
2013-09-18 17:46 marvintm Fixed in Version => RMP27
2016-01-07 13:05 Orekaria Relationship added blocks 0031828
2016-02-22 13:09 Orekaria Relationship added blocks 0032249


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker